from wcs.qommon import template

wcs_get_decorate_vars = template.get_decorate_vars


def get_decorate_vars(body, response, generate_breadcrumb=True, template_context=None, **kwargs):
    if template_context and 'form_side' in template_context:
        # force rendering as it will put new variables in the context
        template_context['form_side'] = template_context['form_side']()

    for key in ('bigdiv', 'gauche'):
        if not key in response.filter:
            response.filter[key] = None

    return wcs_get_decorate_vars(body, response, generate_breadcrumb)


template.get_decorate_vars = get_decorate_vars
